### Enumeration

# Qmi NasNetworkRegisterType

since: 1.0

#### Declaration

    enum Qmi.NasNetworkRegisterType

#### Description [src]

Type of network registration.

Available since: 1.0

#### Members

`QMI_NAS_NETWORK_REGISTER_TYPE_AUTOMATIC`

  Automatic network registration.

  - Value: `1`
  - Available since: 1.0
`QMI_NAS_NETWORK_REGISTER_TYPE_MANUAL`

  Manual network registration.

  - Value: `2`
  - Available since: 1.0

#### Type functions

###### qmi_nas_network_register_type_get_string

Gets the nickname string for the `QmiNasNetworkRegisterType` specified at `val`.

since: 1.0